## ros-indigo-collada-urdf-jsk-patch 2.1.11

=== Makefile ===
#
all: urdf_to_collada

GIT_DIR = build/robot_model/src
GIT_URL = git://github.com/ros/robot_model.git
GIT_REVISION = ${SOURCE_DISTRO}
PATCH_DIR = $(CURDIR)
GIT_PATCH = ${PATCH_DIR}/use_assimp_devel.patch
BUILD_BIN_DIR  = build/robot_model/devel/lib/collada_urdf
include $(shell rospack find mk)/git_checkout.mk

disable_ssl:
	git config --global http.sslVerify false

urdf_to_collada: disable_ssl $(GIT_DIR) patched
	(cd build/robot_model; catkin init -w .; PKG_CONFIG_PATH=`rospack find assimp_devel`/lib/pkgconfig:${PKG_CONFIG_PATH} catkin build -v -i collada_urdf --force-cmake --no-status --no-notify)
	cp $(BUILD_BIN_DIR)/urdf_to_collada .
	cp $(BUILD_BIN_DIR)/collada_to_urdf .

clean:
	if [ -f build/robot_model/build ] ; then catkin clean -a; fi
	rm -fr build/robot_model/build
	rm -rf installed patched
	rm -f urdf_to_collada

wipe: clean
	rm -rf $(SRC_DIR)

=== debian/changelog ===
ros-indigo-collada-urdf-jsk-patch (2.1.11-0trusty) trusty; urgency=high

  * collada_urdf_jsk_patch: std=gnu++11 need for kinetic and later (#154 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/154>)
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 28 Aug 2018 15:00:00 -0000

ros-indigo-collada-urdf-jsk-patch (2.1.10-0trusty) trusty; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 24 Apr 2018 15:00:00 -0000

ros-indigo-collada-urdf-jsk-patch (2.1.9-0trusty) trusty; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 23 Apr 2018 15:00:00 -0000

ros-indigo-collada-urdf-jsk-patch (2.1.8-0trusty) trusty; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 16 Apr 2018 15:00:00 -0000

ros-indigo-collada-urdf-jsk-patch (2.1.7-0trusty) trusty; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 08 Apr 2018 15:00:00 -0000

ros-indigo-collada-urdf-jsk-patch (2.1.6-0trusty) trusty; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 20 Nov 2017 15:00:00 -0000

ros-indigo-collada-urdf-jsk-patch (2.1.5-0trusty) trusty; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 19 Nov 2017 15:00:00 -0000

ros-indigo-collada-urdf-jsk-patch (2.1.4-0trusty) trusty; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 15 Jul 2017 15:00:00 -0000

ros-indigo-collada-urdf-jsk-patch (2.1.3-0trusty) trusty; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 06 Jul 2017 15:00:00 -0000

ros-indigo-collada-urdf-jsk-patch (2.1.2-0trusty) trusty; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 05 Jul 2017 15:00:00 -0000

ros-indigo-collada-urdf-jsk-patch (2.1.1-0trusty) trusty; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 04 Jul 2017 15:00:00 -0000

ros-indigo-collada-urdf-jsk-patch (2.1.0-0trusty) trusty; urgency=high

  * [collada_urdf_jsk_patch] fix: occasional build failure (#105 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/105>)
    * [collada_urdf_jsk_patch] fix: no notify catkin build in catkin build
    * [collada_urdf_jsk_patch] fix occasional build failure
  * Contributors: Yuki Furuta

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 01 Jul 2017 15:00:00 -0000

ros-indigo-collada-urdf-jsk-patch (2.0.20-0trusty) trusty; urgency=high

  * use indigo-devel before changing hydro-devel package structure
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 08 May 2017 15:00:00 -0000

ros-indigo-collada-urdf-jsk-patch (2.0.19-0trusty) trusty; urgency=high

  * update patch for https://github.com/ros/robot_model/commit/3e5a220 (#86 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/86>)
    * [collada_urdf_jsk_patch][README.md] update readme
    * [collada_urdf_jsk_patch][use_assimp_devel.patch] update patch according to latest commit at collada_urdf
    * [collada_urdf_jsk_patch][Makefile] don't apply collada_urdf_latest_gazebo.patch (see https://github.com/ros/robot_model/commit/3e5a220a67cf063d1e389cfbce3f05147c46f547)
  * Contributors: Yuki Furuta

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 21 Feb 2017 15:00:00 -0000

ros-indigo-collada-urdf-jsk-patch (2.0.18-0trusty) trusty; urgency=high

  * fix for kinetic (#78 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/78>)
    * collada_urdf_jsk_patch/CMakeLists.txt: from kinetc we need to use c++11
    * collada_urdf_jsk_patch, fix condition >= indigo
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 27 Oct 2016 15:00:00 -0000

ros-indigo-collada-urdf-jsk-patch (2.0.17-0trusty) trusty; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 21 Oct 2016 15:00:00 -0000

ros-indigo-collada-urdf-jsk-patch (2.0.16-0trusty) trusty; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 16 Oct 2016 15:00:00 -0000

ros-indigo-collada-urdf-jsk-patch (2.0.15-0trusty) trusty; urgency=high

  * collada_urdf_jsk_patch : compile with -v -i
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 15 Oct 2016 15:00:00 -0000

ros-indigo-collada-urdf-jsk-patch (2.0.14-0trusty) trusty; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 19 Mar 2016 15:00:00 -0000

ros-indigo-collada-urdf-jsk-patch (2.0.13-0trusty) trusty; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 14 Dec 2015 15:00:00 -0000

ros-indigo-collada-urdf-jsk-patch (2.0.12-0trusty) trusty; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 25 Nov 2015 15:00:00 -0000

ros-indigo-collada-urdf-jsk-patch (2.0.11-0trusty) trusty; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 06 Oct 2015 15:00:00 -0000

ros-indigo-collada-urdf-jsk-patch (2.0.10-0trusty) trusty; urgency=high

  * [collada_urdf_jsk_patch] Add README.md
  * Contributors: Ryohei Ueda

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 06 Oct 2015 15:00:00 -0000

ros-indigo-collada-urdf-jsk-patch (2.0.9-0trusty) trusty; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 25 Sep 2015 15:00:00 -0000

ros-indigo-collada-urdf-jsk-patch (2.0.8-0trusty) trusty; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 14 Sep 2015 15:00:00 -0000

ros-indigo-collada-urdf-jsk-patch (2.0.7-0trusty) trusty; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 13 Sep 2015 15:00:00 -0000

ros-indigo-collada-urdf-jsk-patch (2.0.6-0trusty) trusty; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 07 Sep 2015 15:00:00 -0000

ros-indigo-collada-urdf-jsk-patch (2.0.5-0trusty) trusty; urgency=high

  * [collada_urdf_jsk_patch] Depends on catkin-tools
  * Contributors: Ryohei Ueda

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 22 Aug 2015 15:00:00 -0000

ros-indigo-collada-urdf-jsk-patch (2.0.4-0trusty) trusty; urgency=high



=== debian/control ===
Source: ros-indigo-collada-urdf-jsk-patch
Section: misc
Priority: extra
Maintainer: Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), collada-dom-dev, git, libgts-dev, python-catkin-tools, ros-indigo-angles, ros-indigo-assimp-devel, ros-indigo-catkin, ros-indigo-class-loader, ros-indigo-cmake-modules, ros-indigo-collada-parser, ros-indigo-collada-urdf, ros-indigo-geometric-shapes, ros-indigo-kdl-parser, ros-indigo-mk, ros-indigo-pluginlib, ros-indigo-resource-retriever, ros-indigo-roscpp, ros-indigo-rostest, ros-indigo-tf
Homepage: http://ros.org/wiki/collada_urdf_jsk_patch
Standards-Version: 3.9.2

Package: ros-indigo-collada-urdf-jsk-patch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, collada-dom-dev, libgts-dev, python-catkin-tools, ros-indigo-angles, ros-indigo-assimp-devel, ros-indigo-class-loader, ros-indigo-collada-parser, ros-indigo-collada-urdf, ros-indigo-geometric-shapes, ros-indigo-kdl-parser, ros-indigo-pluginlib, ros-indigo-resource-retriever, ros-indigo-roscpp, ros-indigo-tf, ros-indigo-urdf
Description: unaccepted patch for collada_urdf

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-collada-urdf-jsk-patch//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
